<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.0//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_0.dtd">


<struts-config>

  <!-- ========== Form Bean Definitions =================================== -->
  <form-beans>
      <!-- <form-bean name="contactForm" type="com.ferienclub.ta.forms.ContactForm"/> -->
      <form-bean name="dummyForm" type="com.ferienclub.admin.forms.DummyForm"/>
      <form-bean name="userForm" type="com.ferienclub.admin.forms.UserForm"/>
      <form-bean name="placeForm" type="com.ferienclub.admin.forms.PlaceForm"/>
      <form-bean name="appointmentForm" type="com.ferienclub.admin.forms.AppointmentForm"/>
  </form-beans>



  <!-- ========== Action Mapping Definitions ============================== -->
  <action-mappings>
   
   <action path="/CustomerAdm"
               type="com.ferienclub.admin.actions.CustomerAdminAction"
               name="userForm"
              scope="request"
              input="/CustomerAdm.jsp"
           validate="false">
      <forward name="success" path="/CustomerAdm.jsp"/>
      <forward name="userDetail" path="/CustomerDetail.jsp"/>
   </action>
   
   <action path="/PlacesAdm"
               type="com.ferienclub.admin.actions.InitPlacesAdmAction"
               name="dummyForm"
              scope="request"
              input="/StartPage.jsp"
           validate="false">
      <forward name="success" path="/PlacesAdm.jsp"/>
   </action>
   
   <action path="/AppointmentsAdm"
               type="com.ferienclub.admin.actions.InitAppointmentAction"
               name="dummyForm"
              scope="request"
              input="/StartPage.jsp"
           validate="false">
      <forward name="success" path="/AppointmentsAdm.jsp"/>
   </action>

   <action path="/CreateUser"
               type="com.ferienclub.admin.actions.SimpleForwardAction"
               name="dummyForm"
              scope="request"
              input="/StartPage.jsp"
           validate="false">
      <forward name="success" path="/CreateCustomer.jsp"/>
   </action>

   <action path="/CreatePlace"
               type="com.ferienclub.admin.actions.CreatePlaceAction"
               name="placeForm"
              scope="request"
              input="/StartPage.jsp"
           validate="false">
      <forward name="success" path="/PlacesAdm.jsp"/>
      <forward name="createPlacePage" path="/CreatePlace.jsp"/>
   </action>

   <action path="/DeletePlace"
               type="com.ferienclub.admin.actions.DeletePlaceAction"
               name="placeForm"
              scope="request"
              input="/PlacesAdm.jsp"
           validate="false">
      <forward name="success" path="/PlacesAdm.jsp"/>
   </action>

   <action path="/CreateAppointment"
               type="com.ferienclub.admin.actions.CreateAppointmentAction"
               name="appointmentForm"
              scope="request"
              input="/CreateAppointment.jsp"
           validate="false">
      <forward name="initSuccess" path="/CreateAppointment.jsp"/>
      <forward name="saveSuccess" path="/AppointmentsAdm.jsp"/>
   </action>

   <action path="/DeleteAppointment"
               type="com.ferienclub.admin.actions.DeleteAppointmentAction"
               name="appointmentForm"
              scope="request"
              input="/AppointmentsAdm.jsp"
           validate="false">
      <forward name="success" path="/AppointmentsAdm.jsp"/>
   </action>

   <action path="/UpdateAppointment"
               type="com.ferienclub.admin.actions.UpdateAppointmentAction"
               name="appointmentForm"
              scope="request"
              input="/AppointmentsAdm.jsp"
           validate="false">
      <forward name="success" path="/AppointmentsAdm.jsp"/>
   </action>
   
  </action-mappings>

</struts-config>






























